;-------------------------------------------------------------------------------
;
; Name        : CatchExeIcon
; Version     : 1.0
;
; Author      : Flype ( flype@altern.org )
; Date        : 08 may 2004
;
; Purpose     : CatchExeIcon provide an easy access to the executable's icon
;
; Compatibily : Designed for Microsoft Windows only
; Compilation : TailBite 1.1 PR 10 and PureBasic 3.90
;
; Commands    : hIcon.l = CatchExeBigIcon()
;               hIcon.l = CatchExeSmallIcon()
;
;-------------------------------------------------------------------------------


If OpenWindow(0,0,0,200,100,#PB_Window_SystemMenu|#PB_Window_ScreenCentered,"CatchExeIcon")
  
  CreateGadgetList(WindowID()) 
  
  big.l   = CatchExeBigIcon()
  small.l = CatchExeSmallIcon()
  
  AddSysTrayIcon(0,WindowID(),small) 
  ButtonImageGadget(0,5,5,90,90,small) 
  ButtonImageGadget(1,105,5,90,90,big) 
  
  Repeat
  Until WaitWindowEvent() = #WM_Close

EndIf
; ExecutableFormat=Windows
; EnableNT4
; UseIcon=flower.ico
; Executable=C:\Documents and Settings\fifi\Bureau\GetExeIcon_Example.exe
; DisableDebugger
; EOF